Subject: 2D beautify # Summary

From: Forlani Roberto <[email-masked]>
Date: Tue, 18 Feb 2003 09:23:34 +0100

Dear all,

	yesterday I've send the following question to this mailing list:

>-----Original Message-----
>From: Forlani Roberto 
>Sent: Monday, February 17, 2003 2:41 PM
>To: [email-masked]
>Subject: 2D beautify
>
>
>Dear CCLers,
>
>	I wonder if anyone could tell me of any method to "beautify" a 3D
multi sdf file 
>into a 2D multi sdf file.
>I'll summarize.
>
>Very best,
>
>Roberto

I would like to thank all the following people for their kind answers and
Dimitris Agrafiotis for his courtesy.
I've really appreciated.
Best regards,

Roberto Forlani

- Didier Rognan
CLIFF, which is distributed by Molecular Networks (http://www.mol-net.de/) 
does that job.

- Mireille Krier
I recently came around CLIFF , a program for interconversion of chemical
structure exchange file formats for compounds and reactions.
You can get a trial version from Molecular Network  http://www.mol-net.de
The command-line will be:

cliff  -outfile nice.sdf -recalc 1 ugly.mol

- Egon Willighagen
CDK can do this. (http://cdk.sf.net/). It has a opensource layout engine
that generates 2D coordinates.

- Leif Norskov
Within the Unity suite of programs from Tripos there are tools
(e.g. dbtranslate) that will do what you ask for.
Quite well, and quickly too.

- Ajit Jadhav
Several tools such as cactvs will do 2d beautification (regardless of
providing 3d coordinates or just SLNs). For a recent review on methods, see:

Rev in Comp Chem v13 - Harold E. Helson, Structure Diagram Generation, pp.
313-398
http://chem.iupui.edu/~boyd/rccontents.html 

- Marc Nicklaus
You should be able to do this with our web service at 
http://cactus.nci.nih.gov/services/translate/.
I don't remember if we recalculate (beautified) 2D coordinates when
you read in a multi-structure 3D SD file and request 2D SDF as the 
output, or if we simply zero out the z coordinates.  Should the 
latter be the case, you should be able to achieve your goal in a 
two-step process: First export your structures as a (multi-structure) 
SMILES file; then re-import *that*, and choose 2D SDF as the output format.
This will guarantee that 2D coordinates are recomputed.

Let me know if you experience problems with this.

These are CACTVS-calculated coordinates. You could of course use
the CACTVS toolkit itself (in various ways) to do the beautification.

- Doug Henry
I think that MDL (Business Rules Interface), Daylight (DEPICT), and Marvin
Applets all provide this functionality.  The Exographics Chemeleon program
can convert from various file formats - one could for instance, convert to
multi-SMILES file, then convert back to sdf and the program will assign 2D
coords.

- L. Shyamal
One way to force the molecules into neat 2D structures, would be to convert
all the molecules in the the SDF to SMILES and then use a SMILES to MOL
converter, most of them have a de-novo 2D diagram layout algorithm built
into them